2

Trying to install pbh5-tools on my Ubuntu 12.04 virtual machine. I have encountered countless problems trying to get the program to install. I get the error:

In file included from /tmp/easy_install-BEtAkS/h5py-2.5.0/h5py/defs.c:287:0:
/tmp/easy_install-BEtAkS/h5py-2.5.0/h5py/api_compat.h:27:18: fatal error: hdf5.h: No such file or directory

I have tried downloading libhdf5-dev to solve this, but when I use sudo apt-get libhdf5-dev, I get this response.

Package libhdf5-dev is a virtual package provided by:
  libhdf5-serial-dev 1.8.4-patch1-3ubuntu2
  libhdf5-openmpi-dev 1.8.4-patch1-3ubuntu2
  libhdf5-mpich-dev 1.8.4-patch1-3ubuntu2
  libhdf5-lam-dev 1.8.4-patch1-3ubuntu2

When I try installing the individual packages I get the same response:

E: Unable to locate package 1.8.4-patch1-3ubuntu2

I downloaded the patch, configured it, made it, and installed it, but I still cant get it to work. Don't know what to do really.

1
  • 2
    Try sudo apt-get install libhdf5-serial-dev
    – heemayl
    May 31 '15 at 23:24
0

I had the same problem with Ubuntu 16.04 (not 18.04). I solved from Carol Yuu's suggestion in Nvidia forum.

Please try below command and install again:

sudo add-apt-repository universe
sudo apt-get update
sudo apt-get install libhdf5-serial-dev

OS: Ubuntu 16.04
HW: Nvidia Jetson TX2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.